LibreOffice: RemoteAccessContentProvider Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
RemoteAccessContentProvider Service Referencepublished

A RemoteAccessContentProvider is a ContentProvider that provides access to contents available at other (remote) UCBs. More...

Inheritance diagram for RemoteAccessContentProvider:

## Included Services
service | com::sun::star::ucb::ContentProvider
| A RemoteAccessContentProvider is a specialized ContentProvider.

## Exported Interfaces
interface | com::sun::star::ucb::XParameterizedContentProvider
| allows configuration of the RemoteAccessContentProvider, to specify that certain XContentIdentifiers map to XContents from a certain remote UCB.
Exported Interfaces inherited from ContentProvider
interface | com::sun::star::ucb::XContentProvider
| gives access to all contents provided by this provider.
interface | com::sun::star::ucb::XContentIdentifierFactory
| creates special XContentIdentifier implementation objects for the contents provided by this content provider.
interface | com::sun::star::ucb::XParameterizedContentProvider
| allows a ContentProvider to adjust itself to special needs.

## Additional Inherited Members
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface.
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XContentIdentifierFactory
com::sun::star::ucb::XContentIdentifier | createContentIdentifier ([in] string ContentId)
| creates an identifier.
Protected Member Functions inherited from XParameterizedContentProvider
com::sun::star::ucb::XContentProvider | registerInstance ([in] string Template, [in] string Arguments, [in] boolean ReplaceExisting) raises (com::sun::star::lang::IllegalArgumentException)
| Register a content provider on a URL template and supplementary arguments.
com::sun::star::ucb::XContentProvider | deregisterInstance ([in] string Template, [in] string Arguments) raises (com::sun::star::lang::IllegalArgumentException)
| Deregisters a content provider.

## Detailed Description

A RemoteAccessContentProvider is a ContentProvider that provides access to contents available at other (remote) UCBs.

## Exported Interfaces

## ◆ com::sun::star::ucb::ContentProvider

service com::sun::star::ucb::ContentProvider

A RemoteAccessContentProvider is a specialized ContentProvider.

## Exported Interfaces

## ◆ com::sun::star::ucb::XParameterizedContentProvider

interface com::sun::star::ucb::XParameterizedContentProvider

allows configuration of the RemoteAccessContentProvider, to specify that certain XContentIdentifiers map to XContents from a certain remote UCB.

The Arguments string in the XParameterizedContentProvider::registerInstance() call must contain the UNO URL of the remote UCB.

The XContentProviders obtained through this interface implement the service ContentProvider and, if appropriate, also the interface XFileIdentifierConverter.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/RemoteAccessContentProvider.idl